filename = 'stepsref-pi-05-05v3.dat';
filename = 'columndata_229.dat';
filename = 'columndata_250.dat';
% filename = 'stepsref-hinf-neg05-05xbfilter.dat';
 home = 'C:\Documents and Settings\Administrator\My Documents\destillasjonskollonne\diplom jorgen\data\';
 path = strcat(home, filename);

X = load(path);
%X = [columndata_168(1:2:end,2:end) columndata_168(2:2:end,end)];
ub = X(:,1); %boiler input [0-1]
L = X(:,2);  %reflux rate [ml/s]
F = X(:,3);  %feed rate [ml/s]
Md = X(:,4); %holdup in reflux drum [dm^3]
Mb = X(:,5); %holdup in boiler [dm^3]
T = X(:,6:13); %temperatures [degC] from top to bottom
yd = X(:,14); %destillate comp. estimate
xb = X(:,15); %bottoms composition estimate
ydref = X(:,16);
ydref(ydref==0)=1;
xbref=X(:,17);
% [B,A]=butter(5,0.1)
% yd=filter(B,A,yd);
% xb=filter(B,A,xb);

t = (0:2:2*(size(X,1)-1))./60'; %time in min 
filt = tf(1,[0 1]);
figure(4);plot(t,lsim(filt,yd,t),'-',t,ydref,'-.')
axis([0 t(end) 0.945 0.985])
figure(5);plot(t,lsim(filt,xb,t),'-',t,xbref,'-.')
axis([0 t(end) 0 0.02])
%figure(1);plot(t,yd)
%figure(2);plot(t,xb)
figure(6);plot(t,3*ub,'b',t,L,'g')

